import { createSlice } from '@reduxjs/toolkit'
import {isEmpty} from "../utils/ObjectUtils";

export const tableBarItemSlice = createSlice({
    name: 'tableBarItem',
    initialState: {
        type:"tableBarItem",
        data: [],
        activeKey:""
    },
    reducers: {
        addTableBarItem: (state, action) => {
            console.log("tableBarItemSlice:tableBarItem", state, action,)
            if (state.data.filter(file=>file.key===action.payload.key).length===0){
                state.data.push(action.payload)
            }
            if (action.payload.activeKey){
                state.activeKey=action.payload.activeKey
            }
        },
        removeTableBarItem: (state, action) => {
            console.log("tableBarItemSlice:removeTableBarItem",action.payload)
            state.data=state.data.filter(file=>file.key!==action.payload)
            if (action.payload.activeKey){
                state.activeKey=action.payload.activeKey
            }
        }
        ,
        setActiveKey: (state, action) => {
            console.log("tableBarItemSlice:setActiveKey",action.payload)
            if (action.payload.activeKey){
                state.activeKey=action.payload.activeKey
            }
        }
    }
})
export const { addTableBarItem,
    removeTableBarItem,
    setActiveKey } = tableBarItemSlice.actions
export default tableBarItemSlice.reducer
